<?php

namespace Drupal\bootstrap_form_test\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

class TestForm extends FormBase {

  /**
   * {@inheritDoc}
   */
  public function getFormId() {
    return 'bootstrap_form_test';
  }

  /**
   * {@inheritDoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['test'] = [
      '#type' => 'number',
      '#title' => $this->t('Test number'),
      '#field_suffix' => 'test',
      '#ajax' => [
        'callback' => '::onChange',
        'wrapper' => 'edit-output',
        'disable-refocus' => TRUE,
      ]
    ];

    $form['output'] = [
      '#type' => 'textfield',
      '#value' => 'No number yet',
      '#disabled' => TRUE,
      '#attributes' => [
        'id' => ['edit-output'],
      ],
    ];

    return $form;
  }

  public function onChange(array $form, FormStateInterface $form_state) {
    $form['output']['#value'] = $form_state->getValue('test');
    return $form['output'];
  }

  /**
   * {@inheritDoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
  }

}